

On a certain value along a given coordinate axis.

find_vertices_from_coords_minmax ( part, coord, value ) įind the first and last vertices of a part that exist ParametersĪ VertexArray object containing one or more vertices find_vertices_from_coords ( part, coord, value ) įind vertices of a part that exist on a certain value along a given coordinate axis. Which have a point on the given coordinates. Value ( float) – Value of the coordinate specified in coord.Īn EdgeArray object containing one or more edges ParametersĬoord ( int) – The coordinate axis used for the operation. find_edges_from_coords ( part, coord, value ) įind edges of a part that exist on a certain value along a given coordinate axis. Point2 ( tuple) – 2D Cartesian coordinates of the second point.Ī tuple in the form of ( (x,y), lineObj )Ĭontaining 2D Cartesian coordinates of the second pointĪnd the created line object. Point1 ( tuple) – 2D Cartesian coordinates of the first point. Sketch ( ConstrainedSketch) – The sketch in which the line is drawn. Output of this function is intended to be used as point1 for draw_line ( sketch, point1, point2 ) ĭraw a line using two points and return the second point. Is3d ( bool) – If True, the part is extruded.Įxtrusion_depth ( float) – Extrusion depth used if is3d is True. Length_y ( float) – Length of the part in the y (2nd) direction Length_x ( float) – Length of the part in the x (1st) direction Model ( Model) – Model object in which the part will be created. create_ribbon_part ( model, length_x, length_y, is3d, extrusion_depth ) Ĭreate a rectangular ribbon part. Helper functions used in the PyAuxetic library for various operations.
